Subject: bug#21718: 24.5; Backgrounding emacsclient hangs emacs

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 08 Jul 2021 15:42:34 +0200

Ed Avis <[email-masked]> writes:

> I am running emacs from a text ssh session.
>
> % emacs -Q
> M-x server-start RET
> M-x shell RET
> % touch foo
> % emacsclient foo
> C-x b RET                  (switch back to shell buffer)
> M-x comint-stop-subjob RET
>
> I expected this to background the emacsclient process within the shell
> window.  But it causes all of emacs to disappear from the screen, back
> to the original shell prompt that launched emacs, where the emacs
> process appears to have hung and can only be killed with C-c.

(I'm going through old bug reports that unfortunately got little response at
the time.)

I tried this in Emacs 25.1 (and Emacs 28), but was unable to reproduce
the problem.  Are you still seeing this issue in newer Emacs versions?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no